Merge 6.0 into master
[scilab.git] / scilab / modules / time / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/time
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am $(libscitime_la_include_HEADERS) \
141         $(am__DIST_COMMON)
142 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
143 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
144 CONFIG_CLEAN_FILES =
145 CONFIG_CLEAN_VPATH_FILES =
146 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147 am__vpath_adj = case $$p in \
148     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149     *) f=$$p;; \
150   esac;
151 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152 am__install_max = 40
153 am__nobase_strip_setup = \
154   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155 am__nobase_strip = \
156   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157 am__nobase_list = $(am__nobase_strip_setup); \
158   for p in $$list; do echo "$$p $$p"; done | \
159   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161     if (++n[$$2] == $(am__install_max)) \
162       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163     END { for (dir in files) print dir, files[dir] }'
164 am__base_list = \
165   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167 am__uninstall_files_from_dir = { \
168   test -z "$$files" \
169     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171          $(am__cd) "$$dir" && rm -f $$files; }; \
172   }
173 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
174         "$(DESTDIR)$(libscitime_la_etcdir)" \
175         "$(DESTDIR)$(libscitime_la_rootdir)" \
176         "$(DESTDIR)$(libscitime_la_sci_gatewaydir)" \
177         "$(DESTDIR)$(libscitime_la_includedir)"
178 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
179 libscitime_algo_la_LIBADD =
180 am__dirstamp = $(am__leading_dot)dirstamp
181 am__objects_1 = src/c/libscitime_algo_la-realtime.lo \
182         src/c/libscitime_algo_la-timer.lo \
183         src/c/libscitime_algo_la-getdate.lo
184 am_libscitime_algo_la_OBJECTS = $(am__objects_1)
185 libscitime_algo_la_OBJECTS = $(am_libscitime_algo_la_OBJECTS)
186 AM_V_lt = $(am__v_lt_@AM_V@)
187 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
188 am__v_lt_0 = --silent
189 am__v_lt_1 = 
190 @MAINTAINER_MODE_FALSE@am_libscitime_algo_la_rpath =
191 @MAINTAINER_MODE_TRUE@am_libscitime_algo_la_rpath =
192 libscitime_la_DEPENDENCIES = libscitime-algo.la
193 am__objects_2 = sci_gateway/c/libscitime_la-sci_realtime.lo \
194         sci_gateway/c/libscitime_la-sci_timer.lo \
195         sci_gateway/c/libscitime_la-sci_calendar.lo \
196         sci_gateway/c/libscitime_la-sci_xpause.lo \
197         sci_gateway/c/libscitime_la-sci_sleep.lo \
198         sci_gateway/c/libscitime_la-sci_getdate.lo
199 am__objects_3 = sci_gateway/cpp/libscitime_la-time_gw.lo \
200         sci_gateway/cpp/libscitime_la-sci_tictoc.lo
201 am_libscitime_la_OBJECTS = $(am__objects_2) $(am__objects_3)
202 libscitime_la_OBJECTS = $(am_libscitime_la_OBJECTS)
203 @MAINTAINER_MODE_FALSE@am_libscitime_la_rpath =
204 @MAINTAINER_MODE_TRUE@am_libscitime_la_rpath = -rpath $(pkglibdir)
205 AM_V_P = $(am__v_P_@AM_V@)
206 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
207 am__v_P_0 = false
208 am__v_P_1 = :
209 AM_V_GEN = $(am__v_GEN_@AM_V@)
210 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
211 am__v_GEN_0 = @echo "  GEN     " $@;
212 am__v_GEN_1 = 
213 AM_V_at = $(am__v_at_@AM_V@)
214 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
215 am__v_at_0 = @
216 am__v_at_1 = 
217 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
218 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
219 am__depfiles_maybe = depfiles
220 am__mv = mv -f
221 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
222         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
223 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
224         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
225         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
226         $(AM_CFLAGS) $(CFLAGS)
227 AM_V_CC = $(am__v_CC_@AM_V@)
228 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
229 am__v_CC_0 = @echo "  CC      " $@;
230 am__v_CC_1 = 
231 CCLD = $(CC)
232 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
233         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
234         $(AM_LDFLAGS) $(LDFLAGS) -o $@
235 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
236 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
237 am__v_CCLD_0 = @echo "  CCLD    " $@;
238 am__v_CCLD_1 = 
239 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
240         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
241 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
242         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
243         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
244         $(AM_CXXFLAGS) $(CXXFLAGS)
245 AM_V_CXX = $(am__v_CXX_@AM_V@)
246 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
247 am__v_CXX_0 = @echo "  CXX     " $@;
248 am__v_CXX_1 = 
249 CXXLD = $(CXX)
250 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
251         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
252         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
253 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
254 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
255 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
256 am__v_CXXLD_1 = 
257 SOURCES = $(libscitime_algo_la_SOURCES) $(libscitime_la_SOURCES)
258 DIST_SOURCES = $(libscitime_algo_la_SOURCES) $(libscitime_la_SOURCES)
259 am__can_run_installinfo = \
260   case $$AM_UPDATE_INFO_DIR in \
261     n|no|NO) false;; \
262     *) (install-info --version) >/dev/null 2>&1;; \
263   esac
264 DATA = $(libscitime_la_etc_DATA) $(libscitime_la_root_DATA) \
265         $(libscitime_la_sci_gateway_DATA)
266 HEADERS = $(libscitime_la_include_HEADERS)
267 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
268 # Read a list of newline-separated strings from the standard input,
269 # and print each of them once, without duplicates.  Input order is
270 # *not* preserved.
271 am__uniquify_input = $(AWK) '\
272   BEGIN { nonempty = 0; } \
273   { items[$$0] = 1; nonempty = 1; } \
274   END { if (nonempty) { for (i in items) print i; }; } \
275 '
276 # Make sure the list of sources is unique.  This is necessary because,
277 # e.g., the same source file might be shared among _SOURCES variables
278 # for different programs/libraries.
279 am__define_uniq_tagged_files = \
280   list='$(am__tagged_files)'; \
281   unique=`for i in $$list; do \
282     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
283   done | $(am__uniquify_input)`
284 ETAGS = etags
285 CTAGS = ctags
286 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
287         $(top_srcdir)/config/depcomp \
288         $(top_srcdir)/config/mkinstalldirs
289 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
290 ACLOCAL = @ACLOCAL@
291 ALL_LINGUAS = @ALL_LINGUAS@
292 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
293 AMTAR = @AMTAR@
294 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
295 ANT = @ANT@
296 ANTLR = @ANTLR@
297 AR = @AR@
298 ARPACK_LIBS = @ARPACK_LIBS@
299 ASM3 = @ASM3@
300 AUTOCONF = @AUTOCONF@
301 AUTOHEADER = @AUTOHEADER@
302 AUTOMAKE = @AUTOMAKE@
303 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
304 AWK = @AWK@
305 BATIK = @BATIK@
306 BLAS_CFLAGS = @BLAS_CFLAGS@
307 BLAS_LIBS = @BLAS_LIBS@
308 CC = @CC@
309 CCACHE = @CCACHE@
310 CCDEPMODE = @CCDEPMODE@
311 CFLAGS = @CFLAGS@
312 CHECKSTYLE = @CHECKSTYLE@
313 COBERTURA = @COBERTURA@
314 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
315 COMMONS_IO = @COMMONS_IO@
316 COMMONS_LOGGING = @COMMONS_LOGGING@
317 CPP = @CPP@
318 CPPFLAGS = @CPPFLAGS@
319 CURL_CFLAGS = @CURL_CFLAGS@
320 CURL_CONFIG = @CURL_CONFIG@
321 CURL_LIBS = @CURL_LIBS@
322 CURL_VERSION = @CURL_VERSION@
323 CXX = @CXX@
324 CXXCPP = @CXXCPP@
325 CXXDEPMODE = @CXXDEPMODE@
326 CXXFLAGS = @CXXFLAGS@
327 CYGPATH_W = @CYGPATH_W@
328 DEFS = @DEFS@
329 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
330 DEPDIR = @DEPDIR@
331 DLLTOOL = @DLLTOOL@
332 DOCBOOK_ROOT = @DOCBOOK_ROOT@
333 DOXYGEN_BIN = @DOXYGEN_BIN@
334 DSYMUTIL = @DSYMUTIL@
335 DUMPBIN = @DUMPBIN@
336 ECHO_C = @ECHO_C@
337 ECHO_N = @ECHO_N@
338 ECHO_T = @ECHO_T@
339 ECJ = @ECJ@
340 EGREP = @EGREP@
341 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
342 EXEEXT = @EXEEXT@
343 F77 = @F77@
344 FFLAGS = @FFLAGS@
345 FFTW3_LIB = @FFTW3_LIB@
346 FFTW_ENABLE = @FFTW_ENABLE@
347 FGREP = @FGREP@
348 FLEXDOCK = @FLEXDOCK@
349 FLIBS = @FLIBS@
350 FOP = @FOP@
351 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
352 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
353 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
354 FREEHEP_IO = @FREEHEP_IO@
355 FREEHEP_UTIL = @FREEHEP_UTIL@
356 GENHTML = @GENHTML@
357 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
358 GIWS_BIN = @GIWS_BIN@
359 GLUEGEN2_RT = @GLUEGEN2_RT@
360 GMSGFMT = @GMSGFMT@
361 GMSGFMT_015 = @GMSGFMT_015@
362 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
363 GREP = @GREP@
364 GUI_ENABLE = @GUI_ENABLE@
365 HAMCREST = @HAMCREST@
366 HAVE_CXX11 = @HAVE_CXX11@
367 HDF5_CFLAGS = @HDF5_CFLAGS@
368 HDF5_LIBS = @HDF5_LIBS@
369 HELP_ENABLE = @HELP_ENABLE@
370 INSTALL = @INSTALL@
371 INSTALL_DATA = @INSTALL_DATA@
372 INSTALL_PROGRAM = @INSTALL_PROGRAM@
373 INSTALL_SCRIPT = @INSTALL_SCRIPT@
374 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
375 INTLLIBS = @INTLLIBS@
376 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
377 JAR = @JAR@
378 JAVA = @JAVA@
379 JAVAC = @JAVAC@
380 JAVAC_DEBUG = @JAVAC_DEBUG@
381 JAVADOC = @JAVADOC@
382 JAVAH = @JAVAH@
383 JAVASCI_ENABLE = @JAVASCI_ENABLE@
384 JAVA_ENABLE = @JAVA_ENABLE@
385 JAVA_G = @JAVA_G@
386 JAVA_HOME = @JAVA_HOME@
387 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
388 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
389 JDB = @JDB@
390 JEUCLID_CORE = @JEUCLID_CORE@
391 JGRAPHX = @JGRAPHX@
392 JHALL = @JHALL@
393 JLATEXMATH = @JLATEXMATH@
394 JLATEXMATH_FOP = @JLATEXMATH_FOP@
395 JOGL2 = @JOGL2@
396 JROSETTA_API = @JROSETTA_API@
397 JROSETTA_ENGINE = @JROSETTA_ENGINE@
398 JUNIT4 = @JUNIT4@
399 LAPACK_LIBS = @LAPACK_LIBS@
400 LCOV = @LCOV@
401 LD = @LD@
402 LDFLAGS = @LDFLAGS@
403 LEX = @LEX@
404 LEXLIB = @LEXLIB@
405 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
406 LIBICONV = @LIBICONV@
407 LIBINTL = @LIBINTL@
408 LIBM = @LIBM@
409 LIBOBJS = @LIBOBJS@
410 LIBS = @LIBS@
411 LIBTOOL = @LIBTOOL@
412 LIPO = @LIPO@
413 LN_S = @LN_S@
414 LOGGING_LEVEL = @LOGGING_LEVEL@
415 LOOKS = @LOOKS@
416 LTLIBICONV = @LTLIBICONV@
417 LTLIBINTL = @LTLIBINTL@
418 LTLIBOBJS = @LTLIBOBJS@
419 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
420 LUCENE = @LUCENE@
421 LUCENE_ANALYZER = @LUCENE_ANALYZER@
422 LUCENE_PARSER = @LUCENE_PARSER@
423 MAINT = @MAINT@
424 MAKEINFO = @MAKEINFO@
425 MANIFEST_TOOL = @MANIFEST_TOOL@
426 MATIO_CFLAGS = @MATIO_CFLAGS@
427 MATIO_ENABLE = @MATIO_ENABLE@
428 MATIO_LIBS = @MATIO_LIBS@
429 MKDIR_P = @MKDIR_P@
430 MPI_ENABLE = @MPI_ENABLE@
431 MSGCAT = @MSGCAT@
432 MSGFMT = @MSGFMT@
433 MSGFMT_015 = @MSGFMT_015@
434 MSGMERGE = @MSGMERGE@
435 NM = @NM@
436 NMEDIT = @NMEDIT@
437 OBJDUMP = @OBJDUMP@
438 OBJEXT = @OBJEXT@
439 OCAMLC = @OCAMLC@
440 OCAMLDEP = @OCAMLDEP@
441 OCAMLLEX = @OCAMLLEX@
442 OCAMLOPT = @OCAMLOPT@
443 OCAMLYACC = @OCAMLYACC@
444 OPENMPI_CC = @OPENMPI_CC@
445 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
446 OPENMPI_CXX = @OPENMPI_CXX@
447 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
448 OPENMPI_LIBS = @OPENMPI_LIBS@
449 OPENMP_CFLAGS = @OPENMP_CFLAGS@
450 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
451 OPENMP_ENABLE = @OPENMP_ENABLE@
452 OPENMP_LIBS = @OPENMP_LIBS@
453 OTOOL = @OTOOL@
454 OTOOL64 = @OTOOL64@
455 PACKAGE = @PACKAGE@
456 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
457 PACKAGE_NAME = @PACKAGE_NAME@
458 PACKAGE_STRING = @PACKAGE_STRING@
459 PACKAGE_TARNAME = @PACKAGE_TARNAME@
460 PACKAGE_URL = @PACKAGE_URL@
461 PACKAGE_VERSION = @PACKAGE_VERSION@
462 PATH_SEPARATOR = @PATH_SEPARATOR@
463 PCRE_CFLAGS = @PCRE_CFLAGS@
464 PCRE_CONFIG = @PCRE_CONFIG@
465 PCRE_LIBS = @PCRE_LIBS@
466 PCRE_VERSION = @PCRE_VERSION@
467 PKG_CONFIG = @PKG_CONFIG@
468 POSUB = @POSUB@
469 POW_LIB = @POW_LIB@
470 PYTHON = @PYTHON@
471 RANLIB = @RANLIB@
472 RELOCATABLE = @RELOCATABLE@
473 RT_LIB = @RT_LIB@
474 SAXON = @SAXON@
475 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
476 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
477 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
478 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
479 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
480 SCIRENDERER = @SCIRENDERER@
481 SCIRENDERER_CP = @SCIRENDERER_CP@
482 SCI_CFLAGS = @SCI_CFLAGS@
483 SCI_CXXFLAGS = @SCI_CXXFLAGS@
484 SCI_FFLAGS = @SCI_FFLAGS@
485 SCI_LDFLAGS = @SCI_LDFLAGS@
486 SED = @SED@
487 SET_MAKE = @SET_MAKE@
488 SET_RELOCATABLE = @SET_RELOCATABLE@
489 SHELL = @SHELL@
490 SKINLF = @SKINLF@
491 SPLINT = @SPLINT@
492 STRIP = @STRIP@
493 SWIG_BIN = @SWIG_BIN@
494 SWIG_JAVA = @SWIG_JAVA@
495 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
496 SWIG_SCILAB = @SWIG_SCILAB@
497 TCLTK_LIBS = @TCLTK_LIBS@
498 TCL_INC_PATH = @TCL_INC_PATH@
499 TK_INC_PATH = @TK_INC_PATH@
500 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
501 UMFPACK_ENABLE = @UMFPACK_ENABLE@
502 UMFPACK_LIB = @UMFPACK_LIB@
503 USE_NLS = @USE_NLS@
504 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
505 VALGRIND_LIBS = @VALGRIND_LIBS@
506 VERSION = @VERSION@
507 WITH_OCAML = @WITH_OCAML@
508 WITH_TKSCI = @WITH_TKSCI@
509 XCOS_ENABLE = @XCOS_ENABLE@
510 XGETTEXT = @XGETTEXT@
511 XGETTEXT_015 = @XGETTEXT_015@
512 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
513 XMKMF = @XMKMF@
514 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
515 XML_APIS_EXT = @XML_APIS_EXT@
516 XML_CONFIG = @XML_CONFIG@
517 XML_FLAGS = @XML_FLAGS@
518 XML_LIBS = @XML_LIBS@
519 XML_VERSION = @XML_VERSION@
520 X_CFLAGS = @X_CFLAGS@
521 X_EXTRA_LIBS = @X_EXTRA_LIBS@
522 X_LIBS = @X_LIBS@
523 X_PRE_LIBS = @X_PRE_LIBS@
524 YACC = @YACC@
525 YFLAGS = @YFLAGS@
526 abs_builddir = @abs_builddir@
527 abs_srcdir = @abs_srcdir@
528 abs_top_builddir = @abs_top_builddir@
529 abs_top_srcdir = @abs_top_srcdir@
530 ac_ct_AR = @ac_ct_AR@
531 ac_ct_CC = @ac_ct_CC@
532 ac_ct_CXX = @ac_ct_CXX@
533 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
534 ac_ct_F77 = @ac_ct_F77@
535 am__include = @am__include@
536 am__leading_dot = @am__leading_dot@
537 am__quote = @am__quote@
538 am__tar = @am__tar@
539 am__untar = @am__untar@
540 bindir = @bindir@
541 build = @build@
542 build_alias = @build_alias@
543 build_cpu = @build_cpu@
544 build_os = @build_os@
545 build_vendor = @build_vendor@
546 builddir = @builddir@
547 cxx_present = @cxx_present@
548 datadir = @datadir@
549 datarootdir = @datarootdir@
550 docdir = @docdir@
551 dvidir = @dvidir@
552 exec_prefix = @exec_prefix@
553 host = @host@
554 host_alias = @host_alias@
555 host_cpu = @host_cpu@
556 host_os = @host_os@
557 host_vendor = @host_vendor@
558 htmldir = @htmldir@
559 includedir = @includedir@
560 infodir = @infodir@
561 install_sh = @install_sh@
562 libdir = @libdir@
563 libexecdir = @libexecdir@
564 localedir = @localedir@
565 localstatedir = @localstatedir@
566 mandir = @mandir@
567 mkdir_p = @mkdir_p@
568 oldincludedir = @oldincludedir@
569 pdfdir = @pdfdir@
570 prefix = @prefix@
571 program_transform_name = @program_transform_name@
572 psdir = @psdir@
573 sbindir = @sbindir@
574 sharedstatedir = @sharedstatedir@
575 srcdir = @srcdir@
576 sysconfdir = @sysconfdir@
577 target_alias = @target_alias@
578 top_build_prefix = @top_build_prefix@
579 top_builddir = @top_builddir@
580 top_srcdir = @top_srcdir@
581 yacc_present = @yacc_present@
582
583 ### SOURCES ###
584 TIME_C_SOURCES = \
585     src/c/realtime.c \
586     src/c/timer.c \
587     src/c/getdate.c
588
589 GATEWAY_C_SOURCES = \
590     sci_gateway/c/sci_realtime.c \
591     sci_gateway/c/sci_timer.c \
592     sci_gateway/c/sci_calendar.c \
593     sci_gateway/c/sci_xpause.c \
594     sci_gateway/c/sci_sleep.c \
595     sci_gateway/c/sci_getdate.c
596
597 GATEWAY_CPP_SOURCES = \
598     sci_gateway/cpp/time_gw.cpp \
599     sci_gateway/cpp/sci_tictoc.cpp
600
601 libscitime_la_CPPFLAGS = \
602     -I$(srcdir)/includes/ \
603     -I$(srcdir)/src/c/ \
604     -I$(top_srcdir)/modules/ast/includes/ast/ \
605     -I$(top_srcdir)/modules/ast/includes/exps/ \
606     -I$(top_srcdir)/modules/ast/includes/operations/ \
607     -I$(top_srcdir)/modules/ast/includes/parse/ \
608     -I$(top_srcdir)/modules/ast/includes/symbol/ \
609     -I$(top_srcdir)/modules/ast/includes/system_env/ \
610     -I$(top_srcdir)/modules/ast/includes/types/ \
611     -I$(top_srcdir)/modules/ast/includes/analysis/ \
612     -I$(top_srcdir)/modules/api_scilab/includes/ \
613     -I$(top_srcdir)/modules/functions_manager/includes/ \
614     -I$(top_srcdir)/modules/dynamic_link/includes \
615     -I$(top_srcdir)/modules/localization/includes/ \
616     -I$(top_srcdir)/modules/string/includes/ \
617     -I$(top_srcdir)/modules/output_stream/includes/ \
618     $(AM_CPPFLAGS)
619
620 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscitime.la
621 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscitime-algo.la libscitime.la
622 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libscitime-algo.la
623 libscitime_algo_la_SOURCES = $(TIME_C_SOURCES)
624 libscitime_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
625 libscitime_algo_la_CPPFLAGS = $(libscitime_la_CPPFLAGS)
626
627 # For the code check (splint)
628 CHECK_SRC = $(libscitime_la_SOURCES)
629 INCLUDE_FLAGS = $(libscitime_la_CPPFLAGS)
630 libscitime_la_LIBADD = libscitime-algo.la
631
632 #### Target ######
633 modulename = time
634
635 #### time : Conf files ####
636 libscitime_la_rootdir = $(mydatadir)
637 libscitime_la_root_DATA = license.txt
638
639 #### time : init scripts ####
640 libscitime_la_etcdir = $(mydatadir)/etc
641 libscitime_la_etc_DATA = etc/time.quit etc/time.start
642
643 #### time : include files ####
644 libscitime_la_includedir = $(pkgincludedir)
645 libscitime_la_include_HEADERS = includes/realtime.h \
646 includes/timer.h
647
648
649 # Where all the Scilab stuff is installed (macros, help, ...)
650 mydatadir = $(pkgdatadir)/modules/$(modulename)
651
652 # Set AM_* SCI detected settings
653 AM_CPPFLAGS = $(SCI_CPPFLAGS)
654 AM_CFLAGS = $(SCI_CFLAGS)
655 AM_CXXFLAGS = $(SCI_CXXFLAGS)
656 # append includes to AM_FFLAGS to manage fortran includes
657 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
658
659 # Tag shared libraries with the Scilab version
660 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
661
662 # splint options
663 SPLINT_OPTIONS = -weak -booltype BOOL
664
665 ########################### JAVA ######################################
666 #### We are delegating java compilation to ant... Thanks to that
667 #### the procedure will be the same with Microsoft Windows (C)
668 #### and Linux/Unix
669 #######################################################################
670 TARGETS_ALL = $(am__append_1)
671
672 ################ MACROS ######################
673 # Rule to build a macro
674 # NOT USED  AT THE MOMENT
675 SUFFIXES = .sci 
676
677 ########### INSTALL DOCUMENTATION ###################
678
679 # Install documentation files into the right target
680 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
681 # automake needs the html files to be present which is not the case when
682 # we are building Scilab
683
684 # Where it should be installed
685 pkgdocdir = $(mydatadir)
686
687 # What is the mask of the help source
688 DOCMASKXML = *.xml
689
690 # What is the mask of the MathML sources
691 DOCMASKMML = *.mml
692
693 ########### INSTALL DATA ###################
694 # Install macros, help & demos
695 # Where it should be installed
696 pkgmacrosdir = $(mydatadir)
697 # Which directory we process
698 MACRODIRS = macros/
699 # Mask of the Scilab sources macros
700 MACROMASK = *.sci
701 # Mask of the Scilab executable sources macros
702 MACROBUILDMASK = *.sce
703 # Mask of the Scilab compiled macros
704 MACROBINMASK = *.bin
705 # List of the standard directory for tests
706 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
707 # Where the demos should be installed
708 pkgdemosdir = $(mydatadir)
709 # List of the standard directory for demos
710 DEMOS_DIR = demos
711 # List of the standard directory for examples
712 EXAMPLES_DIR = examples
713 # Where to export JAVA archives (.jar)
714 JARDIR = jar/
715 # JAR files mask
716 JARMASK = *.jar
717 # Chapter file 
718 HELP_CHAPTERDIR = help/
719 HELP_CHAPTERFILE = addchapter.sce
720 HELP_CHAPTERLANG = en_US fr_FR pt_BR
721 all: all-am
722
723 .SUFFIXES:
724 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
725 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
726         @for dep in $?; do \
727           case '$(am__configure_deps)' in \
728             *$$dep*) \
729               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
730                 && { if test -f $@; then exit 0; else break; fi; }; \
731               exit 1;; \
732           esac; \
733         done; \
734         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/time/Makefile'; \
735         $(am__cd) $(top_srcdir) && \
736           $(AUTOMAKE) --foreign modules/time/Makefile
737 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
738         @case '$?' in \
739           *config.status*) \
740             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
741           *) \
742             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
743             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
744         esac;
745 $(top_srcdir)/Makefile.incl.am $(am__empty):
746
747 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
748         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749
750 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
751         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
752 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
753         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
754 $(am__aclocal_m4_deps):
755
756 clean-noinstLTLIBRARIES:
757         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
758         @list='$(noinst_LTLIBRARIES)'; \
759         locs=`for p in $$list; do echo $$p; done | \
760               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
761               sort -u`; \
762         test -z "$$locs" || { \
763           echo rm -f $${locs}; \
764           rm -f $${locs}; \
765         }
766
767 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
768         @$(NORMAL_INSTALL)
769         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
770         list2=; for p in $$list; do \
771           if test -f $$p; then \
772             list2="$$list2 $$p"; \
773           else :; fi; \
774         done; \
775         test -z "$$list2" || { \
776           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
777           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
778           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
779           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
780         }
781
782 uninstall-pkglibLTLIBRARIES:
783         @$(NORMAL_UNINSTALL)
784         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
785         for p in $$list; do \
786           $(am__strip_dir) \
787           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
788           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
789         done
790
791 clean-pkglibLTLIBRARIES:
792         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
793         @list='$(pkglib_LTLIBRARIES)'; \
794         locs=`for p in $$list; do echo $$p; done | \
795               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
796               sort -u`; \
797         test -z "$$locs" || { \
798           echo rm -f $${locs}; \
799           rm -f $${locs}; \
800         }
801 src/c/$(am__dirstamp):
802         @$(MKDIR_P) src/c
803         @: > src/c/$(am__dirstamp)
804 src/c/$(DEPDIR)/$(am__dirstamp):
805         @$(MKDIR_P) src/c/$(DEPDIR)
806         @: > src/c/$(DEPDIR)/$(am__dirstamp)
807 src/c/libscitime_algo_la-realtime.lo: src/c/$(am__dirstamp) \
808         src/c/$(DEPDIR)/$(am__dirstamp)
809 src/c/libscitime_algo_la-timer.lo: src/c/$(am__dirstamp) \
810         src/c/$(DEPDIR)/$(am__dirstamp)
811 src/c/libscitime_algo_la-getdate.lo: src/c/$(am__dirstamp) \
812         src/c/$(DEPDIR)/$(am__dirstamp)
813
814 libscitime-algo.la: $(libscitime_algo_la_OBJECTS) $(libscitime_algo_la_DEPENDENCIES) $(EXTRA_libscitime_algo_la_DEPENDENCIES) 
815         $(AM_V_CCLD)$(LINK) $(am_libscitime_algo_la_rpath) $(libscitime_algo_la_OBJECTS) $(libscitime_algo_la_LIBADD) $(LIBS)
816 sci_gateway/c/$(am__dirstamp):
817         @$(MKDIR_P) sci_gateway/c
818         @: > sci_gateway/c/$(am__dirstamp)
819 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
820         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
821         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
822 sci_gateway/c/libscitime_la-sci_realtime.lo:  \
823         sci_gateway/c/$(am__dirstamp) \
824         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
825 sci_gateway/c/libscitime_la-sci_timer.lo:  \
826         sci_gateway/c/$(am__dirstamp) \
827         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
828 sci_gateway/c/libscitime_la-sci_calendar.lo:  \
829         sci_gateway/c/$(am__dirstamp) \
830         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
831 sci_gateway/c/libscitime_la-sci_xpause.lo:  \
832         sci_gateway/c/$(am__dirstamp) \
833         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
834 sci_gateway/c/libscitime_la-sci_sleep.lo:  \
835         sci_gateway/c/$(am__dirstamp) \
836         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
837 sci_gateway/c/libscitime_la-sci_getdate.lo:  \
838         sci_gateway/c/$(am__dirstamp) \
839         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
840 sci_gateway/cpp/$(am__dirstamp):
841         @$(MKDIR_P) sci_gateway/cpp
842         @: > sci_gateway/cpp/$(am__dirstamp)
843 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
844         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
845         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
846 sci_gateway/cpp/libscitime_la-time_gw.lo:  \
847         sci_gateway/cpp/$(am__dirstamp) \
848         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
849 sci_gateway/cpp/libscitime_la-sci_tictoc.lo:  \
850         sci_gateway/cpp/$(am__dirstamp) \
851         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
852
853 libscitime.la: $(libscitime_la_OBJECTS) $(libscitime_la_DEPENDENCIES) $(EXTRA_libscitime_la_DEPENDENCIES) 
854         $(AM_V_CXXLD)$(CXXLINK) $(am_libscitime_la_rpath) $(libscitime_la_OBJECTS) $(libscitime_la_LIBADD) $(LIBS)
855
856 mostlyclean-compile:
857         -rm -f *.$(OBJEXT)
858         -rm -f sci_gateway/c/*.$(OBJEXT)
859         -rm -f sci_gateway/c/*.lo
860         -rm -f sci_gateway/cpp/*.$(OBJEXT)
861         -rm -f sci_gateway/cpp/*.lo
862         -rm -f src/c/*.$(OBJEXT)
863         -rm -f src/c/*.lo
864
865 distclean-compile:
866         -rm -f *.tab.c
867
868 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo@am__quote@
869 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo@am__quote@
870 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo@am__quote@
871 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo@am__quote@
872 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo@am__quote@
873 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo@am__quote@
874 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo@am__quote@
875 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo@am__quote@
876 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo@am__quote@
877 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo@am__quote@
878 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo@am__quote@
879
880 .c.o:
881 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
882 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
883 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
884 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
885 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
886 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
887
888 .c.obj:
889 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
890 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
891 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
892 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
893 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
894 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
895
896 .c.lo:
897 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
898 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
899 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
903
904 src/c/libscitime_algo_la-realtime.lo: src/c/realtime.c
905 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-realtime.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-realtime.Tpo -c -o src/c/libscitime_algo_la-realtime.lo `test -f 'src/c/realtime.c' || echo '$(srcdir)/'`src/c/realtime.c
906 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-realtime.Tpo src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo
907 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/realtime.c' object='src/c/libscitime_algo_la-realtime.lo' libtool=yes @AMDEPBACKSLASH@
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-realtime.lo `test -f 'src/c/realtime.c' || echo '$(srcdir)/'`src/c/realtime.c
910
911 src/c/libscitime_algo_la-timer.lo: src/c/timer.c
912 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-timer.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-timer.Tpo -c -o src/c/libscitime_algo_la-timer.lo `test -f 'src/c/timer.c' || echo '$(srcdir)/'`src/c/timer.c
913 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-timer.Tpo src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo
914 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/timer.c' object='src/c/libscitime_algo_la-timer.lo' libtool=yes @AMDEPBACKSLASH@
915 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-timer.lo `test -f 'src/c/timer.c' || echo '$(srcdir)/'`src/c/timer.c
917
918 src/c/libscitime_algo_la-getdate.lo: src/c/getdate.c
919 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-getdate.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-getdate.Tpo -c -o src/c/libscitime_algo_la-getdate.lo `test -f 'src/c/getdate.c' || echo '$(srcdir)/'`src/c/getdate.c
920 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-getdate.Tpo src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getdate.c' object='src/c/libscitime_algo_la-getdate.lo' libtool=yes @AMDEPBACKSLASH@
922 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
923 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-getdate.lo `test -f 'src/c/getdate.c' || echo '$(srcdir)/'`src/c/getdate.c
924
925 sci_gateway/c/libscitime_la-sci_realtime.lo: sci_gateway/c/sci_realtime.c
926 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_realtime.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Tpo -c -o sci_gateway/c/libscitime_la-sci_realtime.lo `test -f 'sci_gateway/c/sci_realtime.c' || echo '$(srcdir)/'`sci_gateway/c/sci_realtime.c
927 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_realtime.c' object='sci_gateway/c/libscitime_la-sci_realtime.lo' libtool=yes @AMDEPBACKSLASH@
929 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
930 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_realtime.lo `test -f 'sci_gateway/c/sci_realtime.c' || echo '$(srcdir)/'`sci_gateway/c/sci_realtime.c
931
932 sci_gateway/c/libscitime_la-sci_timer.lo: sci_gateway/c/sci_timer.c
933 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_timer.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Tpo -c -o sci_gateway/c/libscitime_la-sci_timer.lo `test -f 'sci_gateway/c/sci_timer.c' || echo '$(srcdir)/'`sci_gateway/c/sci_timer.c
934 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_timer.c' object='sci_gateway/c/libscitime_la-sci_timer.lo' libtool=yes @AMDEPBACKSLASH@
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_timer.lo `test -f 'sci_gateway/c/sci_timer.c' || echo '$(srcdir)/'`sci_gateway/c/sci_timer.c
938
939 sci_gateway/c/libscitime_la-sci_calendar.lo: sci_gateway/c/sci_calendar.c
940 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_calendar.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Tpo -c -o sci_gateway/c/libscitime_la-sci_calendar.lo `test -f 'sci_gateway/c/sci_calendar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calendar.c
941 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo
942 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_calendar.c' object='sci_gateway/c/libscitime_la-sci_calendar.lo' libtool=yes @AMDEPBACKSLASH@
943 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
944 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_calendar.lo `test -f 'sci_gateway/c/sci_calendar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calendar.c
945
946 sci_gateway/c/libscitime_la-sci_xpause.lo: sci_gateway/c/sci_xpause.c
947 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_xpause.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Tpo -c -o sci_gateway/c/libscitime_la-sci_xpause.lo `test -f 'sci_gateway/c/sci_xpause.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xpause.c
948 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo
949 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xpause.c' object='sci_gateway/c/libscitime_la-sci_xpause.lo' libtool=yes @AMDEPBACKSLASH@
950 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
951 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_xpause.lo `test -f 'sci_gateway/c/sci_xpause.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xpause.c
952
953 sci_gateway/c/libscitime_la-sci_sleep.lo: sci_gateway/c/sci_sleep.c
954 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_sleep.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Tpo -c -o sci_gateway/c/libscitime_la-sci_sleep.lo `test -f 'sci_gateway/c/sci_sleep.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sleep.c
955 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_sleep.c' object='sci_gateway/c/libscitime_la-sci_sleep.lo' libtool=yes @AMDEPBACKSLASH@
957 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_sleep.lo `test -f 'sci_gateway/c/sci_sleep.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sleep.c
959
960 sci_gateway/c/libscitime_la-sci_getdate.lo: sci_gateway/c/sci_getdate.c
961 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_getdate.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Tpo -c -o sci_gateway/c/libscitime_la-sci_getdate.lo `test -f 'sci_gateway/c/sci_getdate.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdate.c
962 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getdate.c' object='sci_gateway/c/libscitime_la-sci_getdate.lo' libtool=yes @AMDEPBACKSLASH@
964 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
965 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_getdate.lo `test -f 'sci_gateway/c/sci_getdate.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdate.c
966
967 .cpp.o:
968 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
969 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
970 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
974
975 .cpp.obj:
976 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
977 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
978 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
982
983 .cpp.lo:
984 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
985 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
986 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
987 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
990
991 sci_gateway/cpp/libscitime_la-time_gw.lo: sci_gateway/cpp/time_gw.cpp
992 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscitime_la-time_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Tpo -c -o sci_gateway/cpp/libscitime_la-time_gw.lo `test -f 'sci_gateway/cpp/time_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/time_gw.cpp
993 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo
994 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/time_gw.cpp' object='sci_gateway/cpp/libscitime_la-time_gw.lo' libtool=yes @AMDEPBACKSLASH@
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
996 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscitime_la-time_gw.lo `test -f 'sci_gateway/cpp/time_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/time_gw.cpp
997
998 sci_gateway/cpp/libscitime_la-sci_tictoc.lo: sci_gateway/cpp/sci_tictoc.cpp
999 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscitime_la-sci_tictoc.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Tpo -c -o sci_gateway/cpp/libscitime_la-sci_tictoc.lo `test -f 'sci_gateway/cpp/sci_tictoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_tictoc.cpp
1000 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Tpo sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo
1001 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_tictoc.cpp' object='sci_gateway/cpp/libscitime_la-sci_tictoc.lo' libtool=yes @AMDEPBACKSLASH@
1002 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1003 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscitime_la-sci_tictoc.lo `test -f 'sci_gateway/cpp/sci_tictoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_tictoc.cpp
1004
1005 mostlyclean-libtool:
1006         -rm -f *.lo
1007
1008 clean-libtool:
1009         -rm -rf .libs _libs
1010         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1011         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1012         -rm -rf src/c/.libs src/c/_libs
1013 install-libscitime_la_etcDATA: $(libscitime_la_etc_DATA)
1014         @$(NORMAL_INSTALL)
1015         @list='$(libscitime_la_etc_DATA)'; test -n "$(libscitime_la_etcdir)" || list=; \
1016         if test -n "$$list"; then \
1017           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_etcdir)'"; \
1018           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_etcdir)" || exit 1; \
1019         fi; \
1020         for p in $$list; do \
1021           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1022           echo "$$d$$p"; \
1023         done | $(am__base_list) | \
1024         while read files; do \
1025           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitime_la_etcdir)'"; \
1026           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitime_la_etcdir)" || exit $$?; \
1027         done
1028
1029 uninstall-libscitime_la_etcDATA:
1030         @$(NORMAL_UNINSTALL)
1031         @list='$(libscitime_la_etc_DATA)'; test -n "$(libscitime_la_etcdir)" || list=; \
1032         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1033         dir='$(DESTDIR)$(libscitime_la_etcdir)'; $(am__uninstall_files_from_dir)
1034 install-libscitime_la_rootDATA: $(libscitime_la_root_DATA)
1035         @$(NORMAL_INSTALL)
1036         @list='$(libscitime_la_root_DATA)'; test -n "$(libscitime_la_rootdir)" || list=; \
1037         if test -n "$$list"; then \
1038           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_rootdir)'"; \
1039           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_rootdir)" || exit 1; \
1040         fi; \
1041         for p in $$list; do \
1042           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1043           echo "$$d$$p"; \
1044         done | $(am__base_list) | \
1045         while read files; do \
1046           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitime_la_rootdir)'"; \
1047           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitime_la_rootdir)" || exit $$?; \
1048         done
1049
1050 uninstall-libscitime_la_rootDATA:
1051         @$(NORMAL_UNINSTALL)
1052         @list='$(libscitime_la_root_DATA)'; test -n "$(libscitime_la_rootdir)" || list=; \
1053         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1054         dir='$(DESTDIR)$(libscitime_la_rootdir)'; $(am__uninstall_files_from_dir)
1055 install-libscitime_la_sci_gatewayDATA: $(libscitime_la_sci_gateway_DATA)
1056         @$(NORMAL_INSTALL)
1057         @list='$(libscitime_la_sci_gateway_DATA)'; test -n "$(libscitime_la_sci_gatewaydir)" || list=; \
1058         if test -n "$$list"; then \
1059           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_sci_gatewaydir)'"; \
1060           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_sci_gatewaydir)" || exit 1; \
1061         fi; \
1062         for p in $$list; do \
1063           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1064           echo "$$d$$p"; \
1065         done | $(am__base_list) | \
1066         while read files; do \
1067           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitime_la_sci_gatewaydir)'"; \
1068           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitime_la_sci_gatewaydir)" || exit $$?; \
1069         done
1070
1071 uninstall-libscitime_la_sci_gatewayDATA:
1072         @$(NORMAL_UNINSTALL)
1073         @list='$(libscitime_la_sci_gateway_DATA)'; test -n "$(libscitime_la_sci_gatewaydir)" || list=; \
1074         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1075         dir='$(DESTDIR)$(libscitime_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1076 install-libscitime_la_includeHEADERS: $(libscitime_la_include_HEADERS)
1077         @$(NORMAL_INSTALL)
1078         @list='$(libscitime_la_include_HEADERS)'; test -n "$(libscitime_la_includedir)" || list=; \
1079         if test -n "$$list"; then \
1080           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_includedir)'"; \
1081           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_includedir)" || exit 1; \
1082         fi; \
1083         for p in $$list; do \
1084           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1085           echo "$$d$$p"; \
1086         done | $(am__base_list) | \
1087         while read files; do \
1088           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscitime_la_includedir)'"; \
1089           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscitime_la_includedir)" || exit $$?; \
1090         done
1091
1092 uninstall-libscitime_la_includeHEADERS:
1093         @$(NORMAL_UNINSTALL)
1094         @list='$(libscitime_la_include_HEADERS)'; test -n "$(libscitime_la_includedir)" || list=; \
1095         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1096         dir='$(DESTDIR)$(libscitime_la_includedir)'; $(am__uninstall_files_from_dir)
1097
1098 ID: $(am__tagged_files)
1099         $(am__define_uniq_tagged_files); mkid -fID $$unique
1100 tags: tags-am
1101 TAGS: tags
1102
1103 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1104         set x; \
1105         here=`pwd`; \
1106         $(am__define_uniq_tagged_files); \
1107         shift; \
1108         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1109           test -n "$$unique" || unique=$$empty_fix; \
1110           if test $$# -gt 0; then \
1111             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1112               "$$@" $$unique; \
1113           else \
1114             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1115               $$unique; \
1116           fi; \
1117         fi
1118 ctags: ctags-am
1119
1120 CTAGS: ctags
1121 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1122         $(am__define_uniq_tagged_files); \
1123         test -z "$(CTAGS_ARGS)$$unique" \
1124           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1125              $$unique
1126
1127 GTAGS:
1128         here=`$(am__cd) $(top_builddir) && pwd` \
1129           && $(am__cd) $(top_srcdir) \
1130           && gtags -i $(GTAGS_ARGS) "$$here"
1131 cscopelist: cscopelist-am
1132
1133 cscopelist-am: $(am__tagged_files)
1134         list='$(am__tagged_files)'; \
1135         case "$(srcdir)" in \
1136           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1137           *) sdir=$(subdir)/$(srcdir) ;; \
1138         esac; \
1139         for i in $$list; do \
1140           if test -f "$$i"; then \
1141             echo "$(subdir)/$$i"; \
1142           else \
1143             echo "$$sdir/$$i"; \
1144           fi; \
1145         done >> $(top_builddir)/cscope.files
1146
1147 distclean-tags:
1148         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1149
1150 distdir: $(DISTFILES)
1151         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1152         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1153         list='$(DISTFILES)'; \
1154           dist_files=`for file in $$list; do echo $$file; done | \
1155           sed -e "s|^$$srcdirstrip/||;t" \
1156               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1157         case $$dist_files in \
1158           */*) $(MKDIR_P) `echo "$$dist_files" | \
1159                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1160                            sort -u` ;; \
1161         esac; \
1162         for file in $$dist_files; do \
1163           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1164           if test -d $$d/$$file; then \
1165             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1166             if test -d "$(distdir)/$$file"; then \
1167               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1168             fi; \
1169             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1170               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1171               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1172             fi; \
1173             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1174           else \
1175             test -f "$(distdir)/$$file" \
1176             || cp -p $$d/$$file "$(distdir)/$$file" \
1177             || exit 1; \
1178           fi; \
1179         done
1180 check-am: all-am
1181         $(MAKE) $(AM_MAKEFLAGS) check-local
1182 check: check-am
1183 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1184 installdirs:
1185         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitime_la_etcdir)" "$(DESTDIR)$(libscitime_la_rootdir)" "$(DESTDIR)$(libscitime_la_sci_gatewaydir)" "$(DESTDIR)$(libscitime_la_includedir)"; do \
1186           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1187         done
1188 install: install-am
1189 install-exec: install-exec-am
1190 install-data: install-data-am
1191 uninstall: uninstall-am
1192
1193 install-am: all-am
1194         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1195
1196 installcheck: installcheck-am
1197 install-strip:
1198         if test -z '$(STRIP)'; then \
1199           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1200             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1201               install; \
1202         else \
1203           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1204             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1205             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1206         fi
1207 mostlyclean-generic:
1208
1209 clean-generic:
1210
1211 distclean-generic:
1212         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1213         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1214         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1215         -rm -f sci_gateway/c/$(am__dirstamp)
1216         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1217         -rm -f sci_gateway/cpp/$(am__dirstamp)
1218         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1219         -rm -f src/c/$(am__dirstamp)
1220
1221 maintainer-clean-generic:
1222         @echo "This command is intended for maintainers to use"
1223         @echo "it deletes files that may require special tools to rebuild."
1224 clean: clean-am
1225
1226 clean-am: clean-generic clean-libtool clean-local \
1227         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1228
1229 distclean: distclean-am
1230         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1231         -rm -f Makefile
1232 distclean-am: clean-am distclean-compile distclean-generic \
1233         distclean-local distclean-tags
1234
1235 dvi: dvi-am
1236
1237 dvi-am:
1238
1239 html: html-am
1240
1241 html-am:
1242
1243 info: info-am
1244
1245 info-am:
1246
1247 install-data-am: install-data-local install-libscitime_la_etcDATA \
1248         install-libscitime_la_includeHEADERS \
1249         install-libscitime_la_rootDATA \
1250         install-libscitime_la_sci_gatewayDATA
1251
1252 install-dvi: install-dvi-am
1253
1254 install-dvi-am:
1255
1256 install-exec-am: install-pkglibLTLIBRARIES
1257
1258 install-html: install-html-am
1259
1260 install-html-am: install-html-local
1261
1262 install-info: install-info-am
1263
1264 install-info-am:
1265
1266 install-man:
1267
1268 install-pdf: install-pdf-am
1269
1270 install-pdf-am:
1271
1272 install-ps: install-ps-am
1273
1274 install-ps-am:
1275
1276 installcheck-am:
1277
1278 maintainer-clean: maintainer-clean-am
1279         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1280         -rm -f Makefile
1281 maintainer-clean-am: distclean-am maintainer-clean-generic
1282
1283 mostlyclean: mostlyclean-am
1284
1285 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1286         mostlyclean-libtool
1287
1288 pdf: pdf-am
1289
1290 pdf-am:
1291
1292 ps: ps-am
1293
1294 ps-am:
1295
1296 uninstall-am: uninstall-libscitime_la_etcDATA \
1297         uninstall-libscitime_la_includeHEADERS \
1298         uninstall-libscitime_la_rootDATA \
1299         uninstall-libscitime_la_sci_gatewayDATA \
1300         uninstall-pkglibLTLIBRARIES
1301
1302 .MAKE: check-am install-am install-strip
1303
1304 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1305         check-local clean clean-generic clean-libtool clean-local \
1306         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1307         ctags ctags-am distclean distclean-compile distclean-generic \
1308         distclean-libtool distclean-local distclean-tags distdir dvi \
1309         dvi-am html html-am info info-am install install-am \
1310         install-data install-data-am install-data-local install-dvi \
1311         install-dvi-am install-exec install-exec-am install-html \
1312         install-html-am install-html-local install-info \
1313         install-info-am install-libscitime_la_etcDATA \
1314         install-libscitime_la_includeHEADERS \
1315         install-libscitime_la_rootDATA \
1316         install-libscitime_la_sci_gatewayDATA install-man install-pdf \
1317         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1318         install-ps-am install-strip installcheck installcheck-am \
1319         installdirs maintainer-clean maintainer-clean-generic \
1320         mostlyclean mostlyclean-compile mostlyclean-generic \
1321         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1322         uninstall-am uninstall-libscitime_la_etcDATA \
1323         uninstall-libscitime_la_includeHEADERS \
1324         uninstall-libscitime_la_rootDATA \
1325         uninstall-libscitime_la_sci_gatewayDATA \
1326         uninstall-pkglibLTLIBRARIES
1327
1328 .PRECIOUS: Makefile
1329
1330
1331 # This target enables tests for Scilab
1332 check-local: $(top_builddir)/scilab-bin test
1333         if test -d $(mydatadir)/tests; then \
1334           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1335         fi
1336 check-code:
1337         if test -f build.xml; then \
1338                 $(ANT) checkstyle; \
1339         fi
1340         if test -x "$(SPLINT)"; then \
1341                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1342         fi
1343 @NEED_JAVA_TRUE@java:
1344 # Some configurations needs to export JAVA_HOME in the current env
1345 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1346 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1347 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1348 @NEED_JAVA_TRUE@                $(ANT); \
1349 @NEED_JAVA_TRUE@        fi
1350
1351 @NEED_JAVA_TRUE@clean-java:
1352 # Some configurations needs to export JAVA_HOME in the current env
1353 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1354 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1355 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1356 @NEED_JAVA_TRUE@                $(ANT) clean; \
1357 @NEED_JAVA_TRUE@        fi;
1358
1359 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1360 # We call the target swig-build on the variable SWIG_WRAPPERS
1361
1362 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1363 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1364 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1365 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1366 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1367 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1368 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1369 @SWIG_TRUE@             done; \
1370 @SWIG_TRUE@     fi
1371
1372 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1373 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1374 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1375 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1376 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1377 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1378 @SWIG_TRUE@             done; \
1379 @SWIG_TRUE@     fi
1380
1381 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1382 # We call the target swig-build on the variable SWIG_WRAPPERS
1383
1384 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1385 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1386 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1387 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1388 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1389 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1390 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1391 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1392 @GIWS_TRUE@                     else \
1393 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1394 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1395 @GIWS_TRUE@                     fi \
1396 @GIWS_TRUE@             done; \
1397 @GIWS_TRUE@     fi
1398
1399 @GIWS_TRUE@giws-exception:
1400 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1401 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1402 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1403
1404 macros:
1405         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1406                 echo "Error : Cannot build $< : Scilab has not been built"; \
1407         else \
1408                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1409         fi)
1410
1411 # Removes the macros
1412 clean-macros:
1413 # Removes macros (*.bin generated from .sci)
1414         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1415                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1416                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1417         done
1418
1419 test:
1420 # More tests could be added here
1421         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1422         if test -f build.xml -a $$USEANT -eq 1; then \
1423                 $(ANT) test; \
1424         fi
1425
1426 all-local: $(TARGETS_ALL)
1427
1428 .sci.bin:
1429         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1430         echo "Error : Cannot build $< : Scilab has not been build"; \
1431         else \
1432         echo "Creating $@"; \
1433         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1434         fi )
1435
1436 install-html-local:
1437
1438 install-data-local-local:
1439 # Mainly for javasci
1440         @if test -d $(srcdir)/javadoc; then \
1441                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1442         fi
1443 # If the user wants the help sources to be installed
1444 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1445 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1446 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1447 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1448 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1449 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1450 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1451 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1452 @INSTALL_HELP_XML_TRUE@           done ; \
1453 @INSTALL_HELP_XML_TRUE@         fi; \
1454 @INSTALL_HELP_XML_TRUE@  fi; \
1455 @INSTALL_HELP_XML_TRUE@ done; \
1456 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1457 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1458 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1459 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1460 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1461 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1462 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1463 @INSTALL_HELP_XML_TRUE@           done ; \
1464 @INSTALL_HELP_XML_TRUE@         fi; \
1465 @INSTALL_HELP_XML_TRUE@ fi
1466 install-data-local:
1467 # Install the tests
1468         @echo "-------- Install tests (if any) --------"; \
1469         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1470           if test -d $(srcdir)/$$dir/; then \
1471             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1472                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1473                     if test -d "$(srcdir)/$$dir/$$file"; then \
1474                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1475                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1476                     else \
1477                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1478                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1479                     fi \
1480                   done; \
1481           fi; \
1482         done
1483 # Install the help chapter
1484         @echo "-------- Install the help chapter (if any) --------"; \
1485         for lang in $(HELP_CHAPTERLANG); do \
1486                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1487                 if test -f $$HELPFILE; then \
1488                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1489                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1490                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1491                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1492                 fi; \
1493         done
1494 # Install the demos & examples
1495         @echo "-------- Install demos & examples (if any) --------"; \
1496         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1497           if test -d $(srcdir)/$$dir/; then \
1498             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1499                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1500                     if test -d "$(srcdir)/$$dir/$$file"; then \
1501                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1502                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1503                     else \
1504                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1505                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1506                     fi \
1507                   done; \
1508           fi; \
1509         done
1510 # Install the macros
1511         @echo "-------- Install macros (if any) --------"; \
1512         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1513           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1514                 if test -d $(srcdir)/$$dir/; then \
1515                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1516                         if test -n "$(MACROSSPECIALEXT)"; then \
1517                                 specialExtDir=""; \
1518                                 for specialExt in $(MACROSSPECIALEXT); do \
1519                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1520                                 done; \
1521                                 FILELIST="$$FILELIST $$specialExtDir"; \
1522                         fi; \
1523                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1524                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1525                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1526                   done; \
1527                 fi; \
1528         done
1529 # Install java files (.jar)
1530         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1531         echo "-------- Install jar files --------"; \
1532     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1533           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1534                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1535                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1536           done ; \
1537         fi
1538
1539 ########### CLEAN ###################
1540 # Clean help (generated automatically by Scilab)
1541 # It used to clean the macro (clean-macros) but this was causing
1542 # make clean && make to fail Scilab startup
1543 @NEED_JAVA_TRUE@clean-local: clean-java
1544 @NEED_JAVA_FALSE@clean-local:
1545
1546 distclean-local:
1547         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1548
1549 .PHONY: macros java swig giws
1550
1551 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1552 # Otherwise a system limit (for SysV at least) may be exceeded.
1553 .NOEXPORT: